<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\BlackListsRepository;
use Illuminate\Http\Request;

class BlackListController extends Controller
{


    /**
     * @var BlackListsRepository
     */
    private $blackListsRepository;

    public function __construct(BlackListsRepository $blackListsRepository)
    {
        $this->blackListsRepository = $blackListsRepository;
        $this->middleware(['permission:blacklist,admin']);
    }


    public function index()
    {
        $rows = $this->blackListsRepository->index();
        $sms_rows = [];

        return view('admin.black_lists', compact('rows', 'sms_rows'));
    }

    public function admin_clients_ajax()
    {
        return $this->blackListsRepository->clients_ajax();
    }


    public function removeBlackList()
    {
        return $this->blackListsRepository->removeList();
    }
}
