<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\ResumesRepository;
use Illuminate\Http\Request;

class ResumesController extends Controller
{

    private $resumesRepository;

    public function __construct(ResumesRepository $resumesRepository)
    {
        $this->resumesRepository = $resumesRepository;
        $this->middleware(['permission:admin_resumes,admin']);
    }


    public function index()
    {
        $rows = $this->resumesRepository->index();
        return view('admin.resumes', compact('rows'));
    }

    public function show($id)
    {
        $row = $this->resumesRepository->show($id);
        return view('admin.single_resumes', compact('row'));
    }

    public function destroy($id)
    {
        return $this->resumesRepository->destroy($id);
    }
}
