<?php

namespace App\Http\Controllers\Clients;

use App\Http\Controllers\Controller;
use App\Repositories\Client\ContactsRepository;
use App\Repositories\Client\PartnersRepository;
use App\Repositories\Client\SlidersRepository;
use Illuminate\Http\Request;

class HomeController extends Controller
{


    private $slider_repository;
    private $partnersRepository;
    private $contactsRepository;

    public function __construct(SlidersRepository $slider_repository, PartnersRepository $partnersRepository, ContactsRepository $contactsRepository)
    {
        $this->slider_repository = $slider_repository;
        $this->partnersRepository = $partnersRepository;
        $this->contactsRepository = $contactsRepository;
    }

    public function index()
    {
        $sliders = $this->slider_repository->index();
        $partners = $this->partnersRepository->index();
        $mystring = url()->previous();

        if (strpos($mystring, 'worker') !== false || strpos($mystring, 'foreign') !== false && \Auth::check()) {
            alert(\Lang::get('data.error'), \Lang::get('data.youDoNotHaveTheAuthority'), 'error');
            return redirect()->back();
        }

        return view('site.client.index', compact('sliders', 'partners'));
    }

    public function about_us()
    {
        return view('site.client.about_us');
    }

    public function contact_us(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'mobile' => 'required',
            'message' => 'required'
        ], [
            'name.required' => \Lang::get('data.name_required'),
            'mobile.required' => \Lang::get('data.mobile_required'),
            'message.required' => \Lang::get('data.message_required')
        ]);
        $this->contactsRepository->store();
        success_toast();
        return redirect()->back();
    }

    public function change_language_web($lang)
    {


        if ($lang == 'en' || $lang == 'ar') {
            if (!\Session::has('language')) {
                \Session::put('language', $lang);
            } else {
                \Session::put('language', $lang);
            }


            //  to get ar or en from url of change lang
            $lang = substr(\Request::path(), 9);
            // if ar replace en and put previous url
            if ($lang == "ar") {
                return redirect()->to(str_replace(url('/en'), '', url()->previous()));
            } else {
                return redirect()->to($lang . str_replace(url('/'), '', url()->previous()));
            }

        } else {
            return redirect('/');
        }
    }

}
