<?php

namespace App\Http\Controllers\Foreign;

use App\Http\Controllers\Controller;

use App\Repositories\Client\SlidersRepository;
use App\Repositories\Foreign\AlertsRepository;
use App\Repositories\Foreign\ComplaintsRepository;
use App\Repositories\Foreign\OrdersRepository;


class HomeController extends Controller
{
    private $slider_repository;


    private $complaintsRepository;
    /**
     * @var AlertsRepository
     */
    private $alertsRepository;
    /**
     * @var OrdersRepository
     */
    private $ordersRepository;

    public function __construct(SlidersRepository $slider_repository,ComplaintsRepository $complaintsRepository,AlertsRepository $alertsRepository,OrdersRepository $ordersRepository)
    {
        $this->slider_repository = $slider_repository;
        $this->complaintsRepository = $complaintsRepository;
        $this->alertsRepository = $alertsRepository;
        $this->ordersRepository = $ordersRepository;
    }

    public function index()
    {
        $sliders = $this->slider_repository->index();



        $complaints = $this->complaintsRepository->home_complaints();
        $alerts = $this->alertsRepository->home_alerts();
        $orders = $this->ordersRepository->home_orders();


        $mystring = url()->previous();

        if (strpos($mystring, 'client') !== false || strpos($mystring, 'worker') !== false && \Auth::check()) {
            alert(\Lang::get('data.error'), \Lang::get('data.youDoNotHaveTheAuthority'), 'error');
            return redirect()->back();
        }
        return view('site.foreign.index', compact('sliders','complaints','alerts','orders'));
    }



    public function change_language_web($lang)
    {


        if ($lang == 'en' || $lang == 'ar') {
            if (!\Session::has('language')) {
                \Session::put('language', $lang);
            } else {
                \Session::put('language', $lang);
            }


            //  to get ar or en from url of change lang
            $lang = substr(\Request::path(), 9);
            // if ar replace en and put previous url
            if ($lang == "ar") {
                return redirect()->to(str_replace(url('/en'), '', url()->previous()));
            } else {
                return redirect()->to($lang . str_replace(url('/'), '', url()->previous()));
            }

        } else {
            return redirect('/');
        }
    }

    public function about_us()
    {
        return view('site.foreign.about_us');
    }

}
