<?php

namespace App\Http\Controllers\Workers;

use App\Http\Controllers\Controller;
use App\Repositories\Worker\ComplaintsRepository;
use App\Repositories\Worker\OrdersRepository;
use Illuminate\Http\Request;

class ComplaintsController extends Controller
{


    private $complaintsRepository;
    /**
     * @var OrdersRepository
     */
    private $ordersRepository;

    public function __construct(ComplaintsRepository $complaintsRepository, OrdersRepository $ordersRepository)
    {

        $this->complaintsRepository = $complaintsRepository;
        $this->ordersRepository = $ordersRepository;
    }

    public function index()
    {


        $rows = $this->complaintsRepository->index();
        $orders = $this->ordersRepository->index();

        return view('site.saudi.complaints', compact('rows', 'orders'));
    }

    public function store(Request $request)
    {
        $this->validate($request,[
            'order_id'=>'required',
            'notes'=>'required',
        ]);
        $this->complaintsRepository->store();
        success_toast();
        return redirect()->back();
    }

    public function update($id, Request $request)
    {

        $this->validate($request,[
            'status'=>'required|in:new,closed,contacted'
        ]);
        $this->complaintsRepository->update($id);
        success_toast();
        return redirect()->back();
    }
    public function  reply_complaint($complaint_id,Request  $request){
        $this->validate($request,[
            'reply'=>'required'
        ]);
        $this->complaintsRepository->replyComplaint($complaint_id);

        success_toast();
        return redirect()->back();
    }
    public function compliant_search_ajax(Request  $request){

        $rows = $this->complaintsRepository->complaintCode($request['compliant_code']);

        $compliantSearch = view('site.saudi.complaintSearch',compact('rows'))->render();

        return response()->json(['value'=>true,'compliantSearch'=>$compliantSearch]);

    }
}
