<?php

namespace App\Http\Controllers\Workers;

use App\Http\Controllers\Controller;
use App\Repositories\Client\ContactsRepository;
use App\Repositories\Client\PartnersRepository;
use App\Repositories\Client\SlidersRepository;
use App\Repositories\Worker\AlertsRepository;
use App\Repositories\Worker\ComplaintsRepository;
use App\Repositories\Worker\OrdersRepository;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    private $slider_repository;
    /**
     * @var OrdersRepository
     */
    private $ordersRepository;
    /**
     * @var ComplaintsRepository
     */
    private $complaintsRepository;
    /**
     * @var AlertsRepository
     */
    private $alertsRepository;

    public function __construct(SlidersRepository $slider_repository, OrdersRepository $ordersRepository,ComplaintsRepository $complaintsRepository , AlertsRepository $alertsRepository)
    {
        $this->slider_repository = $slider_repository;
        $this->ordersRepository = $ordersRepository;
        $this->complaintsRepository = $complaintsRepository;
        $this->alertsRepository = $alertsRepository;
    }

    public function index()
    {
        $sliders = $this->slider_repository->index();
        $orders = $this->ordersRepository->home_orders();
        $complaints = $this->complaintsRepository->home_complaints();
        $alerts = $this->alertsRepository->home_alerts();

        $mystring = url()->previous();

        if (strpos($mystring, 'client') !== false || strpos($mystring, 'foreign') !== false && \Auth::check()) {
            alert(\Lang::get('data.error'), \Lang::get('data.youDoNotHaveTheAuthority'), 'error');
            return redirect()->back();
        }

        return view('site.saudi.index', compact('sliders', 'orders','complaints','alerts'));
    }


    public function change_language_web($lang)
    {


        if ($lang == 'en' || $lang == 'ar') {
            if (!\Session::has('language')) {
                \Session::put('language', $lang);
            } else {
                \Session::put('language', $lang);
            }


            //  to get ar or en from url of change lang
            $lang = substr(\Request::path(), 9);
            // if ar replace en and put previous url
            if ($lang == "ar") {
                return redirect()->to(str_replace(url('/en'), '', url()->previous()));
            } else {
                return redirect()->to($lang . str_replace(url('/'), '', url()->previous()));
            }

        } else {
            return redirect('/');
        }
    }

    public function about_us()
    {
        return view('site.saudi.about_us');
    }

}
