<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cv extends Model
{

    protected $table = 'cvs';
    public $timestamps = true;
    protected $fillable = array('name', 'social_status', 'image', 'passport_number', 'job_title_id', 'religion', 'age', 'address', 'office_id', 'mobile', 'nationality_id', 'gender',
        'full_image', 'passport_image', 'reference_number', 'salary', 'birthday', 'children_number', 'height', 'weight', 'education_qualification', 'arabic_lang', 'english_lang', 'issue_date', 'issue_place', 'expire_date', 'name_family_member', 'mobile_family_member', 'remarks'
    );

//    protected $casts = ['name' => 'json'];

    public function skills()
    {
        return $this->belongsToMany(Skill::class, 'cv_skills', 'cv_id', 'skill_id');
    }

    public function job_title()
    {
        return $this->belongsTo(JobTitles::class, 'job_title_id');
    }

    public function nationality()
    {
        return $this->belongsTo(Nationality::class, 'nationality_id');
    }

    public function office()
    {
        return $this->belongsTo(User::class, 'office_id');
    }

    public function setFullImageAttribute()
    {
        $file = request()->file('full_image');
        $destinationPath = 'images/cvs/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['full_image'] = $filename;
    }

    public function getFullImageAttribute()
    {
        if ($this->attributes['full_image']) {
            return asset('images/cvs') . '/' . $this->attributes['full_image'];
        }
        return asset('logo.png');
    }

    public function setPassportImageAttribute()
    {
        $file = request()->file('passport_image');
        $destinationPath = 'images/cvs/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['passport_image'] = $filename;
    }

    public function getPassportImageAttribute()
    {
        if ($this->attributes['passport_image']) {
            return asset('images/cvs') . '/' . $this->attributes['passport_image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/cvs/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/cvs') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }


    public function experiences()
    {
        return $this->hasMany(CvExperince::class, 'cv_id');
    }

}
