<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;
    protected $fillable = array('visa_attachment', 'visa_end', 'visa_start', 'type', 'client_id', 'client_name', 'client_mobile', 'civil_registry', 'city', 'area', 'family_count', 'social_status', 'client_email', 'client_residency_number', 'visa_number', 'nationality_id', 'gender', 'job_title_id', 'cv_id', 'passport_image', 'family_card', 'follow_type', 'client_sign', 'code', 'office_id', 'status', 'another_mobile', 'completed', 'cancel_type', 'date_selection', 'visa_issue_date', 'file_number', 'admin_approve_cancel', 'mandob_name', 'mandob_mobile', 'totalPrice', 'tax', 'profit', 'foreign_money', 'transfer_money_status');


    public function setAnyAttribute($image_name)
    {
        $file = request()->file($image_name);
        $destinationPath = 'images/orders/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes[$image_name] = $filename;
    }

    public function getAnyAttribute($image_name)
    {
        if ($this->attributes[$image_name]) {
            return asset('images/orders/') . '/' . $this->attributes[$image_name];
        }
        return asset('logo.png');
    }


    public function order_worker()
    {
        return $this->hasOne(OrderWorker::class, 'order_id');
    }

    public function nationality()
    {
        return $this->belongsTo(Nationality::class, 'nationality_id');
    }

    public function city()
    {
        return $this->belongsTo(City::class, 'city_id');
    }

    public function job_title()
    {
        return $this->belongsTo(JobTitles::class, 'job_title_id');
    }

    public function client()
    {
        return $this->belongsTo(User::class, 'client_id');
    }

    public function cv()
    {
        return $this->belongsTo(Cv::class, 'cv_id');
    }

    public function office()
    {
        return $this->belongsTo(User::class, 'office_id');
    }

    public function processes()
    {
        return $this->hasMany(OrderProcess::class, 'order_id');
    }

    public function travel()
    {
        return $this->hasOne(OrderTravel::class, 'order_id');
    }

    public function orderExpenses()
    {
        return $this->hasMany(OrderExpenses::class, 'order_id')->orderByDesc('id');
    }
}
