<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderProcess extends Model
{
    use HasFactory;

    protected $table = 'order_processes';
    public $timestamps = true;
    protected $fillable = array('order_id', 'status', 'start_date', 'end_date', 'process', 'image');

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/order_processes/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/order_processes/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

}
