<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guard = 'web';

    protected $table = 'users';
    public $timestamps = true;
    protected $fillable = array('name', 'email', 'mobile', 'password', 'type', 'id_number', 'verification_code', 'status', 'first_login', 'nationality_id', 'passport_number', 'civil_registry', 'city', 'area', 'family_count', 'social_status', 'client_residency_number', 'another_mobile', 'country_id', 'family_card', 'city_id', 'file_number','trusted_office','wallet','given_name_price','given_service_price','as_requested_price');


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];


    public function country()
    {
        return $this->belongsTo(Country::class, 'country_id');
    }

    public function my_city()
    {
        return $this->belongsTo(City::class, 'city_id');
    }

    public function cvs()
    {
        return $this->hasMany(Cv::class, 'office_id');
    }

    public function compaints()
    {
        return $this->hasMany(Complaint::class, 'user_id');
    }

    public function alerts()
    {
        return $this->hasMany(Alert::class, 'user_id');
    }

}
