<?php


namespace App\Repositories\Client;


use App\Models\Slider;

class SlidersRepository
{
    public function index()
    {
        return Slider::all();
    }

    public function store()
    {
        $slider = new Slider();
        $slider['description->ar'] = request()->description_ar;
        $slider['description->en'] = request()->description_en;
        if (request()->hasFile('image')) $slider->setImageAttribute();
        $slider->save();
        success_toast();
        return redirect()->route('sliders.index');
    }

    public function update($id)
    {
        $slider = Slider::findOrFail($id);
        $slider['description->ar'] = request()->description_ar;
        $slider['description->en'] = request()->description_en;
        if (request()->hasFile('image')) $slider->setImageAttribute();
        $slider->update();
        success_toast();
        return redirect()->route('sliders.index');
    }

    public function destroy($id)
    {
        Slider::destroy($id);
        success_toast();
        return redirect()->route('sliders.index');
    }
}
