<?php


namespace App\Repositories\Foreign;


use App\Models\Alert;

class AlertsRepository
{
    public function index()
    {
        return Alert::whereHas('order', function ($order) {
            $order->where('office_id', \Auth::id());
        })->orderByDesc('id')->paginate(10);
    }

    public function alertSearch($alert_id)
    {
        return Alert::whereHas('order', function ($order) {
            $order->where('office_id', \Auth::id());
        })->whereId($alert_id)->orderByDesc('id')->paginate(10);
    }

    public function home_alerts()
    {
        return Alert::whereHas('order', function ($order) {
            $order->where('office_id', \Auth::id());
        })->orderByDesc('id')->get()->take(3);
    }

    public function close_alert($alert_id){
        Alert::whereId($alert_id)->update([
            'status'=>'close'
        ]);
        success_toast();
        return redirect()->back();
    }
}
