<?php


namespace App\Repositories\Worker;


use App\Models\Alert;

class AlertsRepository
{
    public function index()
    {
        return Alert::orderByDesc('id')->paginate(10);
    }

    public function alertSearch($alert_id)
    {
        if (\Auth::check() && \Auth::user()->type == 'foreign') {
            return Alert::whereHas('order', function ($order) {
                $order->where('office_id', \Auth::id());
            })->whereId($alert_id)->orderByDesc('id')->paginate(10);

        }
        return Alert::whereId($alert_id)->orderByDesc('id')->paginate(10);
    }

    public function home_alerts()
    {
        return Alert::orderByDesc('id')->get()->take(3);

    }

}
