<?php


namespace App\Repositories\Worker;


use App\Models\Complaint;
use App\Models\ComplaintReply;
use App\Models\Order;
use Illuminate\Database\Eloquent\Model;

class ComplaintsRepository
{
    public function index()
    {
        return Complaint::orderByDesc('id')->paginate(10);
    }

    public function store()
    {
        $complaint = new Complaint();
        $complaint->order_id = request()->order_id;
        $complaint->user_id = Order::whereId(request()->order_id)->value('client_id');
        $complaint->status = 'new';
        $complaint->notes = request()->notes;
        $complaint->code = rand(1111, 9999);
        $complaint->save();
    }

    public function update($id)
    {
        Complaint::whereId($id)->update([
            'status' => request()->status
        ]);
    }

    public function replyComplaint($complaint_id)
    {
        ComplaintReply::create([
            'worker_id' => auth()->check() ? auth()->id() : null,
            'complaint_id' => $complaint_id,
            'reply' => request()->reply
        ]);
    }

    public function complaintCode($code)
    {

        if (\Auth::check() &&  \Auth::user()->type == 'foreign'){
            return Complaint::whereHas('order',function ($order){
                $order->where('office_id',\Auth::id());
            })->whereCode($code)->orderByDesc('id')->paginate(10);

        }

        return Complaint::whereCode($code)->orderByDesc('id')->paginate(10);
    }

    public function home_complaints()
    {
        return Complaint::orderByDesc('id')->get()->take(3);

    }
}
