<?php


namespace App\Repositories\Worker;


use App\Models\Cv;

class CvsRepository
{
    public function matchedCvs()
    {
        $order_details = session()->get('order_details');
        return Cv::where([
            'nationality_id' => $order_details['nationality_id'],
            'job_title_id' => $order_details['job_title_id'],
            'gender' => $order_details['gender']
        ])->get();
    }

    public function matchedCvsOrder($order)
    {
        return Cv::where([
            'nationality_id' => $order->nationality_id,
            'job_title_id' => $order->job_title_id,
            'gender' => $order->gender
        ])->where('id', '!=', $order->cv_id)->get();
    }

    public function show($cv_id)
    {
        return Cv::findOrFail($cv_id);
    }

    public function index()
    {
        return Cv::all();
    }
}
