<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumsToCvs extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cvs', function (Blueprint $table) {

            $table->string('full_image')->nullable();
            $table->string('passport_image')->nullable();
            $table->string('reference_number')->nullable();
            $table->string('salary')->nullable();
            $table->string('birthday')->nullable();
            $table->string('children_number')->nullable();
            $table->string('height')->nullable();
            $table->string('weight')->nullable();
            $table->string('education_qualification')->nullable();
            $table->enum('arabic_lang', ['poor', 'good', 'fluent'])->nullable();
            $table->enum('english_lang', ['poor', 'good', 'fluent'])->nullable();
            $table->date('issue_date')->nullable();
            $table->string('issue_place')->nullable();
            $table->date('expire_date')->nullable();
            $table->string('name_family_member')->nullable();
            $table->string('mobile_family_member')->nullable();
            $table->text('remarks')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cvs', function (Blueprint $table) {
            //
        });
    }
}
