@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/home.svg')}}" alt="">
            <h4>الرئيسية </h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <div class="mb-40">
        <div class="title-head">
            <h4>نتائج البحث</h4>
        </div>

        @foreach($rows as $row)
            <div class="bordered mb-40">
                <div class="row">
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="blue-complain">
                            <h5><strong>رقم الطلب</strong></h5>
                            <p><small>{{$row->code}}</small></p>
                        </article>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>تاريخ الطلب</strong></h5>
                            <p><small>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</small></p>
                        </article>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="blue-complain">
                            <h5><strong>اسم مقدم الطلب</strong></h5>
                            <p><small>{{$row->client_name}}</small></p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="blue-complain">
                            <h5><strong>اسم العاملة</strong></h5>
                            <p><small>
                                    @if($row->cv_id)
                                        {{ $row->cv->name}}
                                    @elseif($row->order_worker)
                                        {{$row->order_worker->name}}

                                    @else
                                        تم حذف بيانات العاملة
                                    @endif
                                </small></p>
                        </article>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>اسم المكتب</strong></h5>
                            <p><small>{{$row->office ? $row->office->name : "office deleted"}}</small></p>
                        </article>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>نوع الطلب</strong></h5>
                            <p><small>{{order_type($row->type)}}</small></p>
                        </article>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <a class="btn btn-primary mt-20 mb-20 radius-20"
                           href="{{route('order', $row->id)}}">التفاصيل</a>
                    </div>
                </div>
            </div>
        @endforeach

        <div class="text-center">

            {{$rows->links()}}

        </div>

    </div>


</div>

</div>
</div>
</div>

<!-- start body content -->

@include('admin.controllers.footer')


