@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/settings.svg')}}" alt="">
            <h4>الاعدادات</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->

<div class="container">
    <form method="POST" action="{{route('setting_update', $row->id)}}" enctype="multipart/form-data">
        @csrf
        <div class="mb-40">
            <div class="title-head">
                <h4>الاعدادات</h4>
            </div>
            <div class="box-border">
                <div class="row">

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>من نحن بالعربية</strong></h6>
                            <!-- <input type="text" class="form-control" id=""> -->
                            <textarea name="about_us_ar" class="form-control">{{$row->about_us['ar']}}</textarea>
                        </div>

                        @if ($errors->has('about_us_ar'))
                            <small class="text-danger">{{ $errors->first('about_us_ar') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>من نحن بالانجليزية</strong></h6>
                            <!-- <input type="text" class="form-control" id=""> -->
                            <textarea name="about_us_en" class="form-control">{{$row->about_us['en']}}</textarea>
                        </div>

                        @if ($errors->has('about_us_en'))
                            <small class="text-danger">{{ $errors->first('about_us_en') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>وصف الفوتر بالعربية</strong></h6>
                            <!-- <input type="text" class="form-control" id=""> -->
                            <textarea name="footer_dec_ar" class="form-control">{{$row->footer_dec['ar']}}</textarea>
                        </div>

                        @if ($errors->has('footer_dec_ar'))
                            <small class="text-danger">{{ $errors->first('footer_dec_ar') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>وصف الفوتر بالانجليزية</strong></h6>
                            <!-- <input type="text" class="form-control" id=""> -->
                            <textarea name="footer_dec_en" class="form-control">{{$row->footer_dec['en']}}</textarea>
                        </div>

                        @if ($errors->has('footer_dec_en'))
                            <small class="text-danger">{{ $errors->first('footer_dec_en') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>العنوان بالعربية</strong></h6>
                            <!-- <input type="text" class="form-control" id=""> -->
                            <textarea name="address_ar" class="form-control">{{$row->address['ar']}}</textarea>
                        </div>

                        @if ($errors->has('address_ar'))
                            <small class="text-danger">{{ $errors->first('address_ar') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>العنوان بالانجليزية</strong></h6>
                            <!-- <input type="text" class="form-control" id=""> -->
                            <textarea name="address_en" class="form-control">{{$row->address['en']}}</textarea>
                        </div>
                        @if ($errors->has('address_en'))
                            <small class="text-danger">{{ $errors->first('address_en') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم الجوال</strong></h6>
                            <input name="mobile" value="{{$row->mobile}}" type="text" class="form-control" id="">
                        </div>

                        @if ($errors->has('mobile'))
                            <small class="text-danger">{{ $errors->first('mobile') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الضريبة المضافة</strong></h6>
                            <input name="tax" value="{{$row->tax}}" type="number" class="form-control" id="">
                        </div>

                        @if ($errors->has('tax'))
                            <small class="text-danger">{{ $errors->first('tax') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>البريد الالكترونى</strong></h6>
                            <input name="email" type="email" value="{{$row->email}}" class="form-control" id="">
                        </div>

                        @if ($errors->has('email'))
                            <small class="text-danger">{{ $errors->first('email') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>تويتر</strong></h6>
                            <input name="twitter" type="text" value="{{$row->twitter}}" class="form-control" id="">
                        </div>

                        @if ($errors->has('twitter'))
                            <small class="text-danger">{{ $errors->first('twitter') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>جوجل</strong></h6>
                            <input name="google" type="text" value="{{$row->google}}" class="form-control" id="">
                        </div>

                        @if ($errors->has('google'))
                            <small class="text-danger">{{ $errors->first('google') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>فيس بوك</strong></h6>
                            <input name="facebook" type="text" value="{{$row->facebook}}" class="form-control" id="">
                        </div>

                        @if ($errors->has('facebook'))
                            <small class="text-danger">{{ $errors->first('facebook') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>انستجرام</strong></h6>
                            <input name="instagram" type="text" value="{{$row->instagram}}" class="form-control" id="">
                        </div>

                        @if ($errors->has('instagram'))
                            <small class="text-danger">{{ $errors->first('instagram') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>لينكد ان</strong></h6>
                            <input name="linkedin" type="text" value="{{$row->linkedin}}" class="form-control" id="">
                        </div>

                        @if ($errors->has('linkedin'))
                            <small class="text-danger">{{ $errors->first('linkedin') }}</small>
                        @endif
                    </div>


                </div>

                <div class="clearfix"></div>


            </div>
            <div class="col-sm-12 col-md-12 col-lg-12">
                <button type="submit" class="form-butt">تعديل</button>
            </div>
        </div>
    </form>


</div>

<!-- start body content -->

@include('admin.controllers.footer')


