@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="title-search">
            <div class="admin-title-h">
                <img src="{{asset('admin/images/titles/users.svg')}}" alt="">
                <h4>الموظفين</h4>
            </div>
            <div class="ad-search">
                <div class="ad-item-search">
                    <form method="post" action="{{route('worker_search')}}">
                        @csrf
                        <input name="search" required type="text" placeholder="ابحث برقم الجوال او الاسم ">
                        <button type="submit">
                            <img src="{{asset('admin/images/s-search.svg')}}" alt="">
                        </button>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->
<div class="container mb-60 mt-30">
    <div class="tabs-container">
        <div class="item-nav-tabs">
            <p class="sub-header" style="margin-bottom: 30px">
                <a href="{{route('workers.create')}}">
                    <button class="btn btn-success">
                        إنشاء جديد
                    </button>
                </a>
            </p>

            <ul class="tap-itme">
                <li class="active" id="all_workers" data-taps="#tap1">
                    <img src="{{asset('admin/images/user.svg')}}" alt="">
                    <span>كل الموظفين</span>
                </li>
                <li data-taps="#tap2">
                    <img src="{{asset('admin/images/od2.svg')}}" alt="">
                    <span>فعال</span>
                </li>

                <li data-taps="#tap3">
                    <img src="{{asset('admin/images/od4.svg')}}" alt="">
                    <span>غير فعال</span>
                </li>


            </ul>


        </div>

    </div>


    <div class="taps-contant" id="tap1">

        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th scope="col">الاسم</th>
                    <th scope="col">رقم الجوال</th>
                    <th scope="col">البريد الالكترونى</th>
                    <th scope="col">العنوان</th>
                    <th scope="col">الحالة</th>

                    <th scope="col">
                        التحكم
                    </th>

                    <th scope="col">
                        <div class="btn-group">
                            <button type="button" class="btn btn-default dropdown-toggle h-34" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">خيارات
                            </button>
                            <button type="button" class="btn btn-primary dropdown-toggle h-34" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu drop-admin drop-tabel">


                                <li><a href="#" class="py-10 delete_worker">
                                        <img src="{{asset('admin/images/disabled1.svg')}}" alt="">
                                        <span class="color-black">حذف الحساب</span></a></li>
                            </ul>
                        </div>
                    </th>


                </tr>
                </thead>
                <tbody>

                @foreach($rows as $row)
                    <tr class="row_{{$row->id}}">


                        <td>{{$row->name}}</td>
                        <td>{{$row->mobile}}</td>
                        <td>{{$row->email}}</td>
                        <td>{{$row->city . ' - '.$row->area}}</td>
                        <td>{{$row->status == 'active' ? 'مفعل' : 'غير مفعل'}}</td>


                        <td>
                            {{--                            <button type="button" class="btn btn-danger waves-effect waves-light"--}}
                            {{--                                    data-toggle="modal" data-target="#myModal{{$row->id}}">حذف--}}
                            {{--                            </button>--}}

                            {{--                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"--}}
                            {{--                                 aria-labelledby="myModalLabel" aria-hidden="true">--}}
                            {{--                                <div class="modal-dialog">--}}
                            {{--                                    <div class="modal-content">--}}
                            {{--                                        <div class="modal-header">--}}
                            {{--                                            <h5 class="modal-title"--}}
                            {{--                                                id="myModalLabel">حذف العنصر</h5>--}}
                            {{--                                            <button type="button" class="close" data-dismiss="modal"--}}
                            {{--                                                    aria-hidden="true">×--}}
                            {{--                                            </button>--}}
                            {{--                                        </div>--}}
                            {{--                                        <div class="modal-body">--}}
                            {{--                                            <h5 class="font-16">هل تريد الحذف ؟</h5>--}}

                            {{--                                        </div>--}}
                            {{--                                        <div class="modal-footer">--}}

                            {{--                                            <form method="post" enctype="multipart/form-data"--}}
                            {{--                                                  action="{{route('workers.destroy',$row->id)}}">--}}
                            {{--                                                @csrf--}}
                            {{--                                                @method('DELETE')--}}
                            {{--                                                <button type="button" class="btn btn-light waves-effect"--}}
                            {{--                                                        data-dismiss="modal">إلغاء--}}
                            {{--                                                </button>--}}
                            {{--                                                <button type="submit"--}}
                            {{--                                                        class="btn btn-danger waves-effect waves-light">حذف--}}
                            {{--                                                </button>--}}
                            {{--                                            </form>--}}


                            {{--                                        </div>--}}
                            {{--                                    </div><!-- /.modal-content -->--}}
                            {{--                                </div><!-- /.modal-dialog -->--}}
                            {{--                            </div><!-- /.modal -->--}}
                            {{--                        --}}

                            <a href="{{route('workers.edit',$row->id)}}">
                                <button type="button"
                                        class="btn btn-info waves-effect waves-light">تعديل
                                </button>
                            </a>
                        </td>
                        <td class="text-center"><input class="form-check-input sub_chk" type="checkbox"
                                                       data-id="{{$row->id}}"
                                                       id="defaultCheck1"></td>

                    </tr>
                @endforeach
                </tbody>
            </table>

            <div style="margin-top: 30px" class="text-center">
                {{$rows->links()}}
            </div>
        </div>
    </div>
    <div class="taps-contant" id="tap2">

        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th scope="col">الاسم</th>
                    <th scope="col">رقم الجوال</th>
                    <th scope="col">البريد الالكترونى</th>
                    <th scope="col">العنوان</th>

                    <th scope="col">
                        التحكم
                    </th>

                    <th scope="col">
                        <div class="btn-group">
                            <button type="button" class="btn btn-default dropdown-toggle h-34" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">خيارات
                            </button>
                            <button type="button" class="btn btn-primary dropdown-toggle h-34" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu drop-admin drop-tabel">


                                <li><a href="#" class="py-10 delete_worker">
                                        <img src="{{asset('admin/images/disabled1.svg')}}" alt="">
                                        <span class="color-black">حذف الحساب</span></a></li>

                                <li><a href="#" class="py-10 not_active_worker">
                                        <img src="{{asset('admin/images/computer.svg')}}" alt="">
                                        <span class="color-black">الغاء تفعيل الحساب</span></a></li>
                            </ul>
                        </div>
                    </th>

                </tr>
                </thead>
                <tbody>

                @foreach($active_rows as $active_row)
                    <tr>


                        <td>{{$active_row->name}}</td>
                        <td>{{$active_row->mobile}}</td>
                        <td>{{$active_row->email}}</td>
                        <td>{{$active_row->city . ' - '.$active_row->area}}</td>


                        <td>
                            {{--                            <button type="button" class="btn btn-danger waves-effect waves-light"--}}
                            {{--                                    data-toggle="modal" data-target="#myModal{{$active_row->id}}">حذف--}}
                            {{--                            </button>--}}

                            {{--                            <div id="myModal{{$active_row->id}}" class="modal fade" tabindex="-1" role="dialog"--}}
                            {{--                                 aria-labelledby="myModalLabel" aria-hidden="true">--}}
                            {{--                                <div class="modal-dialog">--}}
                            {{--                                    <div class="modal-content">--}}
                            {{--                                        <div class="modal-header">--}}
                            {{--                                            <h5 class="modal-title"--}}
                            {{--                                                id="myModalLabel">حذف العنصر</h5>--}}
                            {{--                                            <button type="button" class="close" data-dismiss="modal"--}}
                            {{--                                                    aria-hidden="true">×--}}
                            {{--                                            </button>--}}
                            {{--                                        </div>--}}
                            {{--                                        <div class="modal-body">--}}
                            {{--                                            <h5 class="font-16">هل تريد الحذف ؟</h5>--}}

                            {{--                                        </div>--}}
                            {{--                                        <div class="modal-footer">--}}

                            {{--                                            <form method="post" enctype="multipart/form-data"--}}
                            {{--                                                  action="{{route('workers.destroy',$active_row->id)}}">--}}
                            {{--                                                @csrf--}}
                            {{--                                                @method('DELETE')--}}
                            {{--                                                <button type="button" class="btn btn-light waves-effect"--}}
                            {{--                                                        data-dismiss="modal">إلغاء--}}
                            {{--                                                </button>--}}
                            {{--                                                <button type="submit"--}}
                            {{--                                                        class="btn btn-danger waves-effect waves-light">حذف--}}
                            {{--                                                </button>--}}
                            {{--                                            </form>--}}


                            {{--                                        </div>--}}
                            {{--                                    </div><!-- /.modal-content -->--}}
                            {{--                                </div><!-- /.modal-dialog -->--}}
                            {{--                            </div><!-- /.modal -->--}}
                            {{--                        --}}

                            <a href="{{route('workers.edit',$active_row->id)}}">
                                <button type="button"
                                        class="btn btn-info waves-effect waves-light">تعديل
                                </button>
                            </a>
                        </td>
                        <td class="text-center"><input class="form-check-input sub_chk" type="checkbox"
                                                       data-id="{{$row->id}}"
                                                       id="defaultCheck1"></td>

                    </tr>
                @endforeach
                </tbody>
            </table>

            <div style="margin-top: 30px" class="text-center">
                {{$active_rows->links()}}
            </div>
        </div>
    </div>
    <div class="taps-contant" id="tap3">

        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th scope="col">الاسم</th>
                    <th scope="col">رقم الجوال</th>
                    <th scope="col">البريد الالكترونى</th>
                    <th scope="col">العنوان</th>

                    <th scope="col">
                        التحكم
                    </th>

                    <th scope="col">
                        <div class="btn-group">
                            <button type="button" class="btn btn-default dropdown-toggle h-34" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">خيارات
                            </button>
                            <button type="button" class="btn btn-primary dropdown-toggle h-34" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu drop-admin drop-tabel">


                                <li><a href="#" class="py-10 delete_worker">
                                        <img src="{{asset('admin/images/disabled1.svg')}}" alt="">
                                        <span class="color-black">حذف الحساب</span></a></li>
                                <li><a href="#" class="py-10 active_worker">
                                        <img src="{{asset('admin/images/computer.svg')}}" alt="">
                                        <span class="color-black">تفعيل الحساب</span></a></li>
                            </ul>
                        </div>
                    </th>

                </tr>
                </thead>
                <tbody>

                @foreach($not_active_rows as $not_active_row)
                    <tr>


                        <td>{{$not_active_row->name}}</td>
                        <td>{{$not_active_row->mobile}}</td>
                        <td>{{$not_active_row->email}}</td>
                        <td>{{$not_active_row->city . ' - '.$not_active_row->area}}</td>


                        <td>
                            {{--                            <button type="button" class="btn btn-danger waves-effect waves-light"--}}
                            {{--                                    data-toggle="modal" data-target="#myModal{{$not_active_row->id}}">حذف--}}
                            {{--                            </button>--}}

                            {{--                            <div id="myModal{{$not_active_row->id}}" class="modal fade" tabindex="-1" role="dialog"--}}
                            {{--                                 aria-labelledby="myModalLabel" aria-hidden="true">--}}
                            {{--                                <div class="modal-dialog">--}}
                            {{--                                    <div class="modal-content">--}}
                            {{--                                        <div class="modal-header">--}}
                            {{--                                            <h5 class="modal-title"--}}
                            {{--                                                id="myModalLabel">حذف العنصر</h5>--}}
                            {{--                                            <button type="button" class="close" data-dismiss="modal"--}}
                            {{--                                                    aria-hidden="true">×--}}
                            {{--                                            </button>--}}
                            {{--                                        </div>--}}
                            {{--                                        <div class="modal-body">--}}
                            {{--                                            <h5 class="font-16">هل تريد الحذف ؟</h5>--}}

                            {{--                                        </div>--}}
                            {{--                                        <div class="modal-footer">--}}

                            {{--                                            <form method="post" enctype="multipart/form-data"--}}
                            {{--                                                  action="{{route('workers.destroy',$not_active_row->id)}}">--}}
                            {{--                                                @csrf--}}
                            {{--                                                @method('DELETE')--}}
                            {{--                                                <button type="button" class="btn btn-light waves-effect"--}}
                            {{--                                                        data-dismiss="modal">إلغاء--}}
                            {{--                                                </button>--}}
                            {{--                                                <button type="submit"--}}
                            {{--                                                        class="btn btn-danger waves-effect waves-light">حذف--}}
                            {{--                                                </button>--}}
                            {{--                                            </form>--}}


                            {{--                                        </div>--}}
                            {{--                                    </div><!-- /.modal-content -->--}}
                            {{--                                </div><!-- /.modal-dialog -->--}}
                            {{--                            </div><!-- /.modal -->--}}
                            {{--                        --}}

                            <a href="{{route('workers.edit',$not_active_row->id)}}">
                                <button type="button"
                                        class="btn btn-info waves-effect waves-light">تعديل
                                </button>
                            </a>
                        </td>

                        <td class="text-center"><input class="form-check-input sub_chk" type="checkbox"
                                                       data-id="{{$row->id}}"
                                                       id="defaultCheck1"></td>


                    </tr>
                @endforeach
                </tbody>
            </table>

            <div style="margin-top: 30px" class="text-center">
                {{$not_active_rows->links()}}
            </div>
        </div>
    </div>


</div>


<!-- start body content -->


@section('script')
    <script>

        $('.delete_worker').on('click', function (e) {
            var allVals = [];
            $(".sub_chk:checked").each(function () {
                allVals.push($(this).attr('data-id'));
            });
            console.log(allVals)
            if (allVals.length <= 0) {
                Swal.fire({
                    title: 'برجاء اختيار الموظفين المراد حذفهم',
                    icon: 'warning',
                    iconHtml: '!',
                    confirmButtonText: 'نعم',

                })

            } else {


                Swal.fire({
                    title: 'هل تريد حذف الموظفين الذى قمت باختيارهم؟',
                    icon: 'question',
                    iconHtml: '؟',
                    confirmButtonText: 'نعم',
                    cancelButtonText: 'لا',
                    showCancelButton: true,
                    showCloseButton: true
                }).then((result) => {
                    if (result.isConfirmed) {
                        var join_selected_values = allVals.join(",");

                        $.ajax({
                            url: '{{route('delete_workers_ajax')}}',
                            type: 'POST',
                            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                            data: {ids: join_selected_values},
                            success: function (data) {
                                if (data.data == 'done') {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'success',
                                        title: 'تم حذف بعض الموظفين بنجاح',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                    // $('.tap-itme li.active').removeClass('active');
                                    // $('#all_workers').addClass('active');
                                    location.reload();

                                    // allVals.forEach(function (item) {
                                    //     $('.row_' + item).remove();
                                    // });

                                } else {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'error',
                                        title: 'حدث خطأ ما !',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                }
                            },

                            error: function (data) {
                                alert(data.responseText);
                            }
                        });
                    }
                })


            }
        });

        $('.not_active_worker').on('click', function (e) {
            var allVals = [];
            $(".sub_chk:checked").each(function () {
                allVals.push($(this).attr('data-id'));
            });
            console.log(allVals)
            if (allVals.length <= 0) {
                Swal.fire({
                    title: 'برجاء اختيار الموظفين المراد ايقاف تفعيلهم',
                    icon: 'warning',
                    iconHtml: '!',
                    confirmButtonText: 'نعم',

                })

            } else {


                Swal.fire({
                    title: 'هل تريد ايقاف تفعيل الموظفين الذى قمت باختيارهم؟',
                    icon: 'question',
                    iconHtml: '؟',
                    confirmButtonText: 'نعم',
                    cancelButtonText: 'لا',
                    showCancelButton: true,
                    showCloseButton: true
                }).then((result) => {
                    if (result.isConfirmed) {
                        var join_selected_values = allVals.join(",");

                        $.ajax({
                            url: '{{route('not_active_workers_ajax')}}',
                            type: 'POST',
                            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                            data: {ids: join_selected_values},
                            success: function (data) {
                                if (data.data == 'done') {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'success',
                                        title: 'تم ابقاف تفعيل بعض الموظفين بنجاح',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                    // $('.tap-itme li.active').removeClass('active');
                                    // $('#all_workers').addClass('active');
                                    location.reload();

                                    // allVals.forEach(function (item) {
                                    //     $('.row_' + item).remove();
                                    // });

                                } else {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'error',
                                        title: 'حدث خطأ ما !',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                }
                            },

                            error: function (data) {
                                alert(data.responseText);
                            }
                        });
                    }
                })


            }
        });

        $('.active_worker').on('click', function (e) {
            var allVals = [];
            $(".sub_chk:checked").each(function () {
                allVals.push($(this).attr('data-id'));
            });
            console.log(allVals)
            if (allVals.length <= 0) {
                Swal.fire({
                    title: 'برجاء اختيار الموظفين المراد تفعيلهم',
                    icon: 'warning',
                    iconHtml: '!',
                    confirmButtonText: 'نعم',

                })

            } else {


                Swal.fire({
                    title: 'هل تريد تفعيل الموظفين الذى قمت باختيارهم؟',
                    icon: 'question',
                    iconHtml: '؟',
                    confirmButtonText: 'نعم',
                    cancelButtonText: 'لا',
                    showCancelButton: true,
                    showCloseButton: true
                }).then((result) => {
                    if (result.isConfirmed) {
                        var join_selected_values = allVals.join(",");

                        $.ajax({
                            url: '{{route('active_workers_ajax')}}',
                            type: 'POST',
                            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                            data: {ids: join_selected_values},
                            success: function (data) {
                                if (data.data == 'done') {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'success',
                                        title: 'تم تفعيل بعض الموظفين بنجاح',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                    // $('.tap-itme li.active').removeClass('active');
                                    // $('#all_workers').addClass('active');
                                    location.reload();

                                    // allVals.forEach(function (item) {
                                    //     $('.row_' + item).remove();
                                    // });

                                } else {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'error',
                                        title: 'حدث خطأ ما !',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                }
                            },

                            error: function (data) {
                                alert(data.responseText);
                            }
                        });
                    }
                })


            }
        });


    </script>
@endsection

@include('admin.controllers.footer')



