@include('site.foreign.controllers.upper-header')
@include('site.foreign.controllers.header')

<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a href="{{route('foreign_home')}}">@lang('data.home')</a></li>
            <li class="breadcrumb-item" aria-current="page"><a
                    href="{{route('order_foreign')}}">@lang('data.orders')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('data.addAction')</li>

        </ol>
    </div>
</nav>
<div class="container">
    <div class="item-adds">
        <img src="{{asset('site/foreign/images/add-circle.svg')}}" alt="">
        <span>@lang('data.newPuppy')</span>
    </div>
</div>
<form method="POST" action="{{route('add_processes_form')}}" enctype="multipart/form-data">
@csrf
<!-- start body steb -->
    <div class="container">
        <div class="box-border">
            <div class="row">

                <input type="hidden" name="order_id" value="{{$order->id}}">

                <div class="col-md-12">
                    <div class="input-group">
                        <h4><strong>@lang('data.procedureType')</strong></h4>
                        <select name="process" required class="form-control">
                            <option disabled selected>@lang('data.pleaseSelectTheTypeOfProcedure')</option>
                            @foreach($processes as $process )
                                <option value="{{$process}}">{{$process}}</option>
                            @endforeach
                        </select>
                        @if ($errors->has('process'))
                            <small class="text-danger">{{ $errors->first('process') }}</small>
                        @endif
                    </div>

                </div>

                <div class="col-md-6 mt-30">
                    <div class="input-group">
                        <h4><strong>@lang('data.actionDate')</strong></h4>
                        <input type="date" class="form-control" name="start_date">
                        @if ($errors->has('start_date'))
                            <small class="text-danger">{{ $errors->first('start_date') }}</small>
                        @endif
                    </div>
                </div>
                <div class="col-md-6 mt-30">
                    <div class="input-group">
                        <h4><strong>@lang('data.procedureEndDate')</strong></h4>
                        <input type="date" class="form-control" name="end_date">
                        @if ($errors->has('end_date'))
                            <small class="text-danger">{{ $errors->first('end_date') }}</small>
                        @endif
                    </div>
                </div>

                <div class="col-sm-12 mt-30">
                    <div class="title-head">
                        <h4><strong>@lang('data.procedureAttachment')</strong></h4>

                    </div>
                </div>

                <div class="col-sm-12">
                    <div class="title-head">
                        <h6><strong>@lang('data.procedureAttachment')</strong></h6>

                    </div>
                </div>


                <div class="col-sm-12 col-md-12 col-lg-6">
                    <div class="drob-upload">
                        <div class="drop-area">
                            <div class="drop-area-body">
                                <img src="{{asset('site/foreign/images/upload.svg')}}" alt="">
                                <h6>@lang('data.dragOrDropTheAttachmentHereToDownload')</h6>
                                <input name="image" type="file">
                            </div>
                            @if ($errors->has('image'))
                                <small class="text-danger">{{ $errors->first('image') }}</small>
                            @endif
                        </div>

                    </div>
                </div>


            </div>


        </div>
        <div class="mt-30">


        </div>
    </div>
    <div class="button-sub">
        <button type="submit" class="btn-req">@lang('data.save')</button>

    </div>
    <!-- start body steb -->
</form>

@include('site.foreign.controllers.footer')


