@include('site.foreign.controllers.upper-header')
@include('site.foreign.controllers.header')

<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container ">
        <div class="c-item-search">
            <ol class="breadcrumb mb-0 inline">
                <li class="breadcrumb-item"><a href="{{route('foreign_home')}}">@lang('data.home')</a></li>
                @if(isset($search_travels))

                    <li class="breadcrumb-item" aria-current="page"><a href="{{route('order_travels')}}">@lang('data.trips')</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">@lang('data.researchResults')</li>
                @else
                    <li class="breadcrumb-item active" aria-current="page">@lang('data.trips')</li>
                @endif

            </ol>
            <!-- <input type="text" class="left search-filter" placeholder="ابحث بالاسم أو رقم الشكوى أو الطلب"> -->
            <div class="search-bar">
                <form method="POST" action="{{route('search_travels')}}">
                    @csrf
                    <input type="text" name="order_code" placeholder="@lang('data.searchByOrderNumber')">
                    <button type="submit" ><img src="{{asset('site/foreign/images/s-search.svg')}}"
                                                                     alt=""></button>
                </form>
            </div>
        </div>
    </div>
</nav>

@if(isset($search_travels))
    <div class="container mb-60 mt-30">

        <div class="taps-contant" id="tap1">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th scope="col">@lang('data.order_no')</th>
                        <th scope="col">@lang('data.presenterName')</th>
                        {{--                    <th scope="col">الهوية</th>--}}
                        <th scope="col">@lang('data.mobile')</th>
                        <th scope="col">@lang('data.orderStatus')</th>
                        <th scope="col">@lang('data.worker_name')</th>
                        <th scope="col">@lang('data.show')</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($search_travels as $search_travel)
                        <tr>
                            <td scope="row">{{$search_travel->order->code}}</td>
                            <td>{{$search_travel->order->client_name}}</td>
                            {{--                        <td>فتحيه</td>--}}

                            <td>{{$search_travel->order->client_mobile}}</td>
                            <td>{{order_status($search_travel->order->status)}}</td>
                            <td>{{$search_travel->order->cv_id ? $search_travel->order->cv->name : $search_travel->order->order_worker->name}}</td>
                            <td class="center-ts"><a
                                    href="{{route('single_order_foreign', $search_travel->order->id)}}"><img
                                        src="{{asset('site/foreign/images/titles/eye1.svg')}}"
                                        alt=""></a>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>

@else
    <div class="container mb-60 mt-30">
        <div class="item-nav-tabs">
            <ul class="tap-itme">
                <li style="padding: 10px; margin-left: 15px" class="active" data-taps="#tap1">
                    <img src="{{asset('site/foreign/images/airplane.svg')}}" alt="">
                    <span>@lang('data.allTrips')</span>
                </li>
                <li style="padding: 10px; margin-left: 15px" data-taps="#tap2">
                    <img src="{{asset('site/foreign/images/od2.svg')}}" alt="">
                    <span>@lang('data.upcomingFlights')</span>
                </li>
                <li style="padding: 10px; margin-left: 15px" data-taps="#tap3">
                    <img src="{{asset('site/foreign/images/od3.svg')}}" alt="">
                    <span>@lang('data.completedTrips')</span>
                </li>
                <li style="padding: 10px; margin-left: 15px" data-taps="#tap4">
                    <img src="{{asset('site/foreign/images/od4.svg')}}" alt="">
                    <span>@lang('data.canceledFlights')</span>
                </li>

            </ul>
        </div>
        <div class="row-r">


        </div>
        <div class="taps-contant" id="tap1">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th scope="col">@lang('data.order_no')</th>
                        <th scope="col">@lang('data.presenterName')</th>
                        {{--                    <th scope="col">الهوية</th>--}}
                        <th scope="col">@lang('data.mobile')</th>
                        <th scope="col">@lang('data.orderStatus')</th>
                        <th scope="col">@lang('data.worker_name')</th>
                        <th scope="col">@lang('data.show')</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($rows as $row)
                        <tr>
                            <td scope="row">{{$row->order->code}}</td>
                            <td>{{$row->order->client_name}}</td>
                            {{--                        <td>فتحيه</td>--}}

                            <td>{{$row->order->client_mobile}}</td>
                            <td>{{order_status($row->order->status)}}</td>
                            <td>{{$row->order->cv_id ? $row->order->cv->name : $row->order->order_worker->name}}</td>
                            <td class="center-ts"><a href="{{route('single_order_foreign', $row->order->id)}}"><img
                                        src="{{asset('site/foreign/images/titles/eye1.svg')}}"
                                        alt=""></a>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>

        <div class="taps-contant" id="tap2">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th scope="col">@lang('data.order_no')</th>
                        <th scope="col">@lang('data.presenterName')</th>
                        {{--                    <th scope="col">الهوية</th>--}}
                        <th scope="col">@lang('data.mobile')</th>
                        <th scope="col">@lang('data.orderStatus')</th>
                        <th scope="col">@lang('data.worker_name')</th>
                        <th scope="col">@lang('data.show')</th>



                    </tr>
                    </thead>
                    <tbody>
                    @foreach($next_travels as $next_travel)
                        <tr>
                            <td scope="row">{{$next_travel->order->code}}</td>
                            <td>{{$next_travel->order->client_name}}</td>
                            {{--                        <td>فتحيه</td>--}}

                            <td>{{$next_travel->order->client_mobile}}</td>
                            <td>{{order_status($next_travel->order->status)}}</td>
                            <td>{{$next_travel->order->cv_id ? $next_travel->order->cv->name : $next_travel->order->order_worker->name}}</td>
                            <td class="center-ts"><a
                                    href="{{route('single_order_foreign', $next_travel->order->id)}}"><img
                                        src="{{asset('site/foreign/images/titles/eye1.svg')}}"
                                        alt=""></a>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>

        <div class="taps-contant" id="tap3">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th scope="col">@lang('data.order_no')</th>
                        <th scope="col">@lang('data.presenterName')</th>
                        {{--                    <th scope="col">الهوية</th>--}}
                        <th scope="col">@lang('data.mobile')</th>
                        <th scope="col">@lang('data.orderStatus')</th>
                        <th scope="col">@lang('data.worker_name')</th>
                        <th scope="col">@lang('data.show')</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($completes as $complete)
                        <tr>
                            <td scope="row">{{$complete->order->code}}</td>
                            <td>{{$complete->order->client_name}}</td>
                            {{--                        <td>فتحيه</td>--}}

                            <td>{{$complete->order->client_mobile}}</td>
                            <td>{{order_status($complete->order->status)}}</td>
                            <td>{{$complete->order->cv_id ? $complete->order->cv->name : $complete->order->order_worker->name}}</td>
                            <td class="center-ts"><a href="{{route('single_order_foreign', $complete->order->id)}}"><img
                                        src="{{asset('site/foreign/images/titles/eye1.svg')}}"
                                        alt=""></a>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>

        <div class="taps-contant" id="tap4">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th scope="col">@lang('data.order_no')</th>
                        <th scope="col">@lang('data.presenterName')</th>
                        {{--                    <th scope="col">الهوية</th>--}}
                        <th scope="col">@lang('data.mobile')</th>
                        <th scope="col">@lang('data.orderStatus')</th>
                        <th scope="col">@lang('data.worker_name')</th>
                        <th scope="col">@lang('data.show')</th>


                    </tr>
                    </thead>
                    <tbody>
                    @foreach($cancels as $cancel)
                        <tr>
                            <td scope="row">{{$cancel->order->code}}</td>
                            <td>{{$cancel->order->client_name}}</td>
                            {{--                        <td>فتحيه</td>--}}

                            <td>{{$cancel->order->client_mobile}}</td>
                            <td>{{order_status($cancel->order->status)}}</td>
                            <td>{{$cancel->order->cv_id ? $cancel->order->cv->name : $cancel->order->order_worker->name}}</td>
                            <td class="center-ts"><a href="{{route('single_order_foreign', $cancel->order->id)}}"><img
                                        src="{{asset('site/foreign/images/titles/eye1.svg')}}"
                                        alt=""></a>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>

    </div>
@endif
@include('site.foreign.controllers.footer')
