<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Clients\AlertsController;
use App\Http\Controllers\Clients\ComplaintsController;
use App\Http\Controllers\Clients\HomeController;
use App\Http\Controllers\Clients\OrdersController;
use App\Http\Controllers\Clients\UsersController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Request;


$locale = Request::segment(1);

if ($locale == Config::get('app.available_locales')) {
    \App::setLocale($locale);

} else {

    $locale = null;

}


Route::get('/language/{lang}', [HomeController::class, 'change_language_web'])->name('language')->middleware('lang');


Route::group(['prefix' => $locale, 'middleware' => 'lang'], function () {

    Route::get('/', [HomeController::class, 'index'])->name('client_home');
    Route::get('login_form', [UsersController::class, 'login_form'])->name('login_form');
    Route::post('login', [UsersController::class, 'login'])->name('login');
    Route::get('forget_password_form', [UsersController::class, 'forget_password_form'])->name('forget_password_form');
    Route::post('forget_password', [UsersController::class, 'forget_password_check_mobile'])->name('forget_password');
    Route::post('mobile_confirm', [UsersController::class, 'mobile_confirm'])->name('mobile_confirm');
    Route::post('change_password', [UsersController::class, 'change_password'])->name('change_password');
    Route::get('forget_password', [UsersController::class, 'forget_password'])->name('forget_password');
    Route::post('contact_us', [HomeController::class, 'contact_us'])->name('contact_us');
    Route::get('about_us', [HomeController::class, 'about_us'])->name('client_about_us');

    Route::get('worker_name_ajax', [ComplaintsController::class, 'worker_name_ajax'])->name('worker_name_ajax');


    Route::group(['middleware' => 'client'], function () {
        Route::get('client_complaints', [ComplaintsController::class, 'index'])->name('client_complaints');
        Route::post('new_complaint', [ComplaintsController::class, 'store'])->name('new_complaint');
        Route::get('new_first_password_form', [UsersController::class, 'new_first_password_form'])->name('new_first_password_form');
        Route::post('new_first_password', [UsersController::class, 'new_first_password'])->name('new_first_password');
        Route::get('logout', [UsersController::class, 'logout'])->name('logout');
        Route::get('my_profile', [UsersController::class, 'my_profile'])->name('my_profile');
        Route::post('update_profile', [UsersController::class, 'update_profile'])->name('update_profile');
        Route::get('alerts', [AlertsController::class, 'alerts'])->name('client_alerts');
        Route::post('store_alert', [AlertsController::class, 'store_alert'])->name('store_alert');
        Route::get('client_orders', [OrdersController::class, 'client_orders'])->name('client_orders');
        Route::get('client_single_order/{id}', [OrdersController::class, 'client_single_order'])->name('client_single_order');

        Route::post('sendUpdateOrder/{id}', [OrdersController::class, 'sendUpdateOrder'])->name('sendUpdateOrder');

        Route::get('resumes_show/{id}', [OrdersController::class, 'resumes_show'])->name('resumes_show');
    });




});
