<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <!-- Tab Title -->
    <title><?php echo app('translator')->get('data.siteName'); ?></title>
    <!-- <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4-4.1.1/dt-1.10.21/r-2.2.5/datatables.min.css"/> -->

    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>
    <!-- Shortcut Icon -->
    <link rel="shortcut icon" href="<?php echo e(asset('site/saudi/images/logoicon.png')); ?>"/>
    <!-- Font Awesome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/css/font-awesome.min.css')); ?>"/>
    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/css/bootstrap-e.min.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/css/bootstrap-a.min.css')); ?>"/>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
          integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

    <!-- en - font -->
    <!-- <link rel="stylesheet" href="fonts/font/stylesheet.css" /> -->
    <!-- ar - font -->
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/fonts/font/ar/stylesheet.css')); ?>"/>

    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/fonts/icons/css/fontello.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/fonts/fontello/css/fontello.css')); ?>"/>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/saudi/css/slick.css')); ?>"/>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/saudi/css/slick-theme.css')); ?>"/>
    <!-- Owl carousel -->
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/css/owl.carousel.min.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/css/owl.theme.default.min.css')); ?>" type="text/css">
    <!-- Lightbox -->
    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/css/lightbox.css')); ?>"/>
    <!-- Styling File -->

    <link rel="stylesheet" href="<?php echo e(asset('site/saudi/scss-ar/main.css')); ?>"/>

    <!-- <link rel="stylesheet" href="css/main.css" /> -->

    <style>

        .mb-20 {
            min-height: 53px;
        }

        @media  print {
            .mt-30 {
                margin-bottom: 10px !important;
            }

            .mb-20 {
                min-height: 53px;
            }

            #section-to-print, #section-to-print * {
                visibility: hidden;
            }

            header, footer, aside, nav, form, iframe, .to-print {
                display: none;
            }

            .image_print {
                height: 150px;
                /*width: 150px;*/
                margin-left: auto;
                margin-right: auto;
                display: block;
            }

            .title_z {
                margin-left: auto;
                text-align: center;
            }

            .button {
                visibility: hidden;
            }

            body {
            / margin: 0;
            / margin-right: 69 px;
                margin-top: -11px;


            }

            /*.table {*/
            /*    width: 111px;*/
            /*    font-size: 10px;*/
            /*    color: #0b0b0b;*/
            /*}*/
            #section-to-print {
                position: absolute;
                left: 0;
                top: 0;
            }

            @media  screen {
                body {
                    margin: 2em;
                    margin-right: 114px;

                }
            }

            @page  {
                size: 9em 1.5em;
            }
        }

    </style>
    <style>

        /* Text alignment for body */
        /* body {
            text-align: center;
        }  */


        @-webkit-keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        @keyframes  modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }
    </style>

</head>
<body>
<?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<header>
    <!-- navbar -->
    <nav class="navbar to-print">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="fa fa-bars color-primary"></span>
                </button>
                <!-- <a class="navbar-brand" href="#">
                    <img src="images/001.png" alt="">
                </a> -->
            </div>
            <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav ">
                    <li>
                        <a href="<?php echo e(route('worker_home')); ?>" class="p-absolute ">
                            <img src="<?php echo e(asset('site/saudi/images/logo.png')); ?>" width="80px" alt="">
                        </a>
                    </li>
                    <li class="active"><a href="<?php echo e(route('worker_home')); ?>" class="main-link"><?php echo app('translator')->get('data.home'); ?></a></li>
                    <li><a href="<?php echo e(route('about_us')); ?>" class="main-link"><?php echo app('translator')->get('data.who_we'); ?></a></li>
                    <li><a href="<?php echo e(route('orders_worker')); ?>" class="main-link"><?php echo app('translator')->get('data.orders'); ?></a></li>
                    <li><a href="<?php echo e(route('worker_alerts')); ?>" class="main-link"><?php echo app('translator')->get('data.alerts'); ?></a></li>

                    <li class="dropdown arrow-b">

                        <a href="" class="main-link dropdown-toggle"
                           data-toggle="dropdown"><?php echo app('translator')->get('data.newOrder'); ?></a></span>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="<?php echo e(route('requested_order')); ?>" class="py-10">

                                    <svg xmlns="http://www.w3.org/2000/svg" width="19.333" height="20"
                                         viewBox="0 0 19.333 20">
                                        <g id="noun_person_to_person_3249515" data-name="noun_person to person_3249515"
                                           transform="translate(-3 -1.999)">
                                            <path id="Path_18373" data-name="Path 18373"
                                                  d="M10.483,16.741a1.741,1.741,0,1,0-1.741,1.741,1.741,1.741,0,0,0,1.741-1.741Z"
                                                  transform="translate(-2.607 -8.706)" fill="#515751"/>
                                            <path id="Path_18374" data-name="Path 18374"
                                                  d="M7.876,25H4.393A1.393,1.393,0,0,0,3,26.393v2.438H4.393v4.528H7.876V28.831H9.269V26.393A1.393,1.393,0,0,0,7.876,25Z"
                                                  transform="translate(0 -15.563)" fill="#515751"/>
                                            <path id="Path_18375" data-name="Path 18375"
                                                  d="M50.483,16.741a1.741,1.741,0,1,0-1.741,1.741,1.741,1.741,0,0,0,1.741-1.741Z"
                                                  transform="translate(-29.543 -8.706)" fill="#515751"/>
                                            <path id="Path_18376" data-name="Path 18376"
                                                  d="M47.876,25H44.393A1.393,1.393,0,0,0,43,26.393v2.438h1.393v4.528h3.483V28.831h1.393V26.393A1.393,1.393,0,0,0,47.876,25Z"
                                                  transform="translate(-26.936 -15.563)" fill="#515751"/>
                                            <path id="Path_18377" data-name="Path 18377"
                                                  d="M11,3.74V5.482h.7V3.74A1.046,1.046,0,0,1,12.741,2.7h2.438V2H12.741A1.743,1.743,0,0,0,11,3.74Z"
                                                  transform="translate(-5.214 0)" fill="#515751"/>
                                            <path id="Path_18378" data-name="Path 18378"
                                                  d="M35.55,3.494l-.8.8V3.74A1.743,1.743,0,0,0,33.01,2H25v.7h8.01A1.046,1.046,0,0,1,34.055,3.74v.552l-.8-.8-.492.492L34.4,5.626l1.639-1.639Z"
                                                  transform="translate(-15.205)" fill="#515751"/>
                                            <path id="Path_18379" data-name="Path 18379"
                                                  d="M9.281,53.471v-.552l.8.8.492-.492L8.932,51.585,7.293,53.224l.492.492.8-.8v.552a1.743,1.743,0,0,0,1.741,1.741h6.617v-.7H10.325A1.046,1.046,0,0,1,9.281,53.471Z"
                                                  transform="translate(-2.798 -33.213)" fill="#515751"/>
                                            <rect id="Rectangle_2755" data-name="Rectangle 2755" width="0.828"
                                                  height="0.414" transform="translate(14.23 21.485)" fill="#515751"/>
                                            <path id="Path_18380" data-name="Path 18380"
                                                  d="M44.483,52V53.74a1.046,1.046,0,0,1-1.045,1.045H41v.7h2.438a1.743,1.743,0,0,0,1.741-1.741V52Z"
                                                  transform="translate(-25.632 -33.483)" fill="#515751"/>
                                        </g>
                                    </svg>

                                    <span class="color-black">حسب المواصفات</span></a></li>

                            <li class=""><a href="<?php echo e(route('given_name_order' , 'type=given_name')); ?>" class="py-10">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="12.538"
                                         viewBox="0 0 20 12.538">
                                        <g id="noun_name_2856497" transform="translate(-1 -7.486)">
                                            <circle id="Ellipse_521" data-name="Ellipse 521" cx="2.746" cy="2.746"
                                                    r="2.746" transform="translate(3.162 7.486)" fill="#515751"/>
                                            <path id="Path_18381" data-name="Path 18381"
                                                  d="M7.24,16H4.467A3.467,3.467,0,0,0,1,19.467V22.24a.693.693,0,0,0,.693.693h8.32a.693.693,0,0,0,.693-.693V19.467A3.467,3.467,0,0,0,7.24,16Z"
                                                  transform="translate(0 -2.909)" fill="#515751"/>
                                            <path id="Path_18382" data-name="Path 18382"
                                                  d="M26.013,14.387h-8.32a.693.693,0,0,1,0-1.387h8.32a.693.693,0,1,1,0,1.387Z"
                                                  transform="translate(-5.707 -1.661)" fill="#515751"/>
                                            <path id="Path_18383" data-name="Path 18383"
                                                  d="M26.013,18.387h-8.32a.693.693,0,0,1,0-1.387h8.32a.693.693,0,0,1,0,1.387Z"
                                                  transform="translate(-5.707 -3.007)" fill="#515751"/>
                                            <path id="Path_18384" data-name="Path 18384"
                                                  d="M21.853,22.387h-4.16a.693.693,0,0,1,0-1.387h4.16a.693.693,0,0,1,0,1.387Z"
                                                  transform="translate(-5.488 -4.353)" fill="#515751"/>
                                        </g>
                                    </svg>
                                    <span class="color-black">اسم معين</span></a></li>

                            <li class=""><a href="<?php echo e(route('given_name_order', 'type=given_service')); ?>" class="py-10">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="19.932" height="20"
                                         viewBox="0 0 19.932 20">
                                        <g id="noun_service_3716688" transform="translate(-9.4 -29.3)">
                                            <g id="Group_9473" data-name="Group 9473" transform="translate(9.4 29.3)">
                                                <path id="Path_18385" data-name="Path 18385"
                                                      d="M23.829,21.622l2.277.935a.476.476,0,0,0,.264.024l3.764-.623a2.91,2.91,0,0,1,2.973,1.414,5.629,5.629,0,0,0,.6-.455l1.223-1.294a7.784,7.784,0,0,0,1.534-4.651,7.435,7.435,0,1,0-14.863,0,7.84,7.84,0,0,0,1.342,4.387A4.152,4.152,0,0,1,23.829,21.622Zm-.815-5.346a2.334,2.334,0,0,1,.767-1.75,2.111,2.111,0,0,1-.048-.408,1.678,1.678,0,1,1,3.356,0,2.362,2.362,0,0,1-.048.408,2.086,2.086,0,0,1,.408.5,2.132,2.132,0,0,1,1.558-.671,2.173,2.173,0,0,1,1.558.671,2.873,2.873,0,0,1,.408-.5,2.111,2.111,0,0,1-.048-.408,1.678,1.678,0,0,1,3.356,0,2.361,2.361,0,0,1-.048.408A2.334,2.334,0,0,1,35,16.276v.24a1.187,1.187,0,0,1-1.2,1.2H31.4a.821.821,0,0,1-.431-.1,2.588,2.588,0,0,1,.671,1.774,1.187,1.187,0,0,1-1.2,1.2H27.569a1.187,1.187,0,0,1-1.2-1.2,2.754,2.754,0,0,1,.671-1.774,1.4,1.4,0,0,1-.431.1h-2.4a1.187,1.187,0,0,1-1.2-1.2Z"
                                                      transform="translate(-18.184 -9.3)" fill="#515751"/>
                                                <path id="Path_18386" data-name="Path 18386"
                                                      d="M31.74,35.99h2.4a.258.258,0,0,0,.24-.24v-.24a1.493,1.493,0,0,0-.312-.911,1.685,1.685,0,0,1-1.127.431,1.732,1.732,0,0,1-1.127-.431,1.493,1.493,0,0,0-.312.911v.24A.24.24,0,0,0,31.74,35.99Z"
                                                      transform="translate(-26.045 -28.37)" fill="#515751"/>
                                                <path id="Path_18387" data-name="Path 18387"
                                                      d="M61.74,35.99h2.4a.258.258,0,0,0,.24-.24v-.24a1.493,1.493,0,0,0-.312-.911,1.685,1.685,0,0,1-1.127.431,1.732,1.732,0,0,1-1.127-.431,1.493,1.493,0,0,0-.312.911v.24A.24.24,0,0,0,61.74,35.99Z"
                                                      transform="translate(-48.64 -28.37)" fill="#515751"/>
                                                <path id="Path_18388" data-name="Path 18388"
                                                      d="M26.948,60.759,24.417,63.4c-.049.048-.1.072-.147.12h0c-.049.024-.1.024-.147.048l-4.129.671a.5.5,0,0,1-.565-.408.469.469,0,0,1,.393-.551l3.588-.575A2.005,2.005,0,0,0,21.3,61.574l-3.859.623a1.463,1.463,0,0,1-.786-.1l-2.335-.935A3.1,3.1,0,0,0,12.767,61l-2.949.479a.549.549,0,0,0-.32.192.613.613,0,0,0-.1.36l.836,4.962a.514.514,0,0,0,.565.408l3.687-.6a1.264,1.264,0,0,1,.59.024l2.728.623a.278.278,0,0,0,.2,0l5.6-.911a.528.528,0,0,0,.295-.168l5.432-5.993A2.031,2.031,0,0,0,26.948,60.759Z"
                                                      transform="translate(-9.4 -47.465)" fill="#515751"/>
                                                <path id="Path_18389" data-name="Path 18389"
                                                      d="M45.74,48.066h2.877a.258.258,0,0,0,.24-.24,1.732,1.732,0,0,0-.431-1.127,2.11,2.11,0,0,1-2.493,0,1.685,1.685,0,0,0-.431,1.127A.24.24,0,0,0,45.74,48.066Z"
                                                      transform="translate(-36.582 -37.491)" fill="#515751"/>
                                                <circle id="Ellipse_522" data-name="Ellipse 522" cx="1.199" cy="1.199"
                                                        r="1.199" transform="translate(9.397 6.19)" fill="#515751"/>
                                                <circle id="Ellipse_523" data-name="Ellipse 523" cx="0.719" cy="0.719"
                                                        r="0.719" transform="translate(6.181 4.211)" fill="#515751"/>
                                                <circle id="Ellipse_524" data-name="Ellipse 524" cx="0.719" cy="0.719"
                                                        r="0.719" transform="translate(13.569 4.211)" fill="#515751"/>
                                            </g>
                                        </g>
                                    </svg>
                                    <span class="color-black">خدمة معروفة</span></a></li>
                        </ul>

                    </li>
                    <li><a href="<?php echo e(route('worker_complaints')); ?>" class="main-link"><?php echo app('translator')->get('data.complaints'); ?></a></li>
                </ul>

                <ul class="nav navbar-nav  navbar-right">
                    <?php if(\App::getLocale() == 'en'): ?>
                        <li><a href="<?php echo e(route('language','ar')); ?>"> اللغه العربية</a></li>
                    <?php else: ?>
                        <li><a href="<?php echo e(route('language','en')); ?>"> English</a></li>
                    <?php endif; ?>
                </ul>

            </div>
        </div>
    </nav>
</header>
<?php /**PATH /home/alkhalaffamily/public_html/hajar/resources/views/site/saudi/controllers/header.blade.php ENDPATH**/ ?>